using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing

{
    class TestableUsbInterface: ITestableUsbInterface
    {
        private readonly UsbInterface _interface;

        public TestableUsbInterface(UsbInterface @interface)
        {
            _interface = @interface;
        }

        public ITestableUsbEndpoint GetEndpoint(int index)
        {
            return new TestableUsbEndpoint(_interface.GetEndpoint(index));
        }

        public UsbInterface Interface { get { return _interface; }}
    }
}