using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing
{
    class TestableUsbEndpoint : ITestableUsbEndpoint
    {
        private readonly UsbEndpoint _endpoint;

        public TestableUsbEndpoint(UsbEndpoint endpoint)
        {
            _endpoint = endpoint;
        }

        public UsbAddressing Direction { get { return _endpoint.Direction; }}
        public UsbAddressing Type {
            get { return _endpoint.Type; }
        }

        public UsbEndpoint Endpoint { get { return _endpoint; }}
    }
}